Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.unlinq
Interface EnumerableList<E>

All Superinterfaces:
  Collection<E>, Enumerable<E>, Iterable<E>, List<E>

All Known Implementing Classes:
  BasicEnumerableList

    public interface EnumerableList<E>

extends List<E>, Enumerable<E>

Method Summary

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface sharin.unlinq.Enumerable
`aggregate, aggregate, aggregate, all, any, any, average, average, averageDouble, averageDouble, averageFloat, averageFloat, averageLong, averageLong, cast, concat, contains, count, count, defaultIfEmpty, defaultIfEmpty, distinct, elementAt, elementAtOrDefault, elementAtOrDefault, except, first, first, firstOrDefault, firstOrDefault, firstOrDefault, firstOrDefault, groupBy, groupBy, groupBy, groupBy, groupJoin, intersect, join, last, last, lastOrDefault, lastOrDefault, lastOrDefault, lastOrDefault, longCount, longCount, max, max, min, min, ofType, orderBy, orderBy, orderByDescending, orderByDescending, reverse, select, select, selectMany, selectMany, selectMany, selectMany, sequenceEqual, single, single, singleOrDefault, singleOrDefault, singleOrDefault, singleOrDefault, skip, skipWhile, skipWhile, sum, sum, sumDouble, sumDouble, sumFloat, sumFloat, sumLong, sumLong, take, takeWhile, takeWhile, toArray, toArray, toDictionary, toDictionary, toEnumerableList, toList, toListMap, toListMap, toLookup, toLookup, toMap, toMap, union, where, where`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.